package info.bukova.isspst.services;

import java.util.HashMap;
import java.util.Map;

public class ValidationException extends RuntimeException {

	private static final long serialVersionUID = -2251676786418660137L;
	
	private Map<String, String> messages;

	public ValidationException() {
		messages = new HashMap<String, String>();
	}
	
	public void addMessage(String property, String message) {
		messages.put(property, message);
	}
	
	public Map<String, String> getMessages() {
		return messages;
	}

	public void setMessages(Map<String, String> messages) {
		this.messages = messages;
	}

}
